Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client
Class I2PClientFactory

    java.lang.Object
      net.i2p.client.I2PClientFactory

    public class I2PClientFactory

extends Object

Provide a means of hooking into an appropriate I2PClient implementation

Author:
  jrandom

Constructor Summary
`I2PClientFactory()`

Method Summary
`static I2PClient` | `createClient()` Create a new instance of the appropriate I2PClient

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I2PClientFactory

    public I2PClientFactory()

Method Detail

### createClient

    public static I2PClient createClient()

  Create a new instance of the appropriate I2PClient

  Returns:
    client implementation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD